function InitKeywordSearchForm( id ) {
	$("#"+id).click( function() { document.frm_free_search.kwd_search.focus(); } );
	if ($("#kwd_search").val()=="") $("#kwd_search").val( aJSLangDefs.Freetext_search );
	$("#kwd_search").bind( "blur" , function() { KeywordSearchFieldBlur(); } );
	$("#kwd_search").bind( "focus" , function() { KeywordSearchFieldFocus(); } );
}

function KeywordSearchFormSubmit( oF ) {
	var v = $("#kwd_search").val();
	if (v.length==0 || v==aJSLangDefs.Freetext_search) {
		alert( aJSLangDefs.Freetext_search_no_search_phrase_given );
		return false;
	}
	return true;
	
}

function KeywordSearchFieldBlur() {
	if ($("#kwd_search").val()=="")
		$("#kwd_search").val( aJSLangDefs.Freetext_search );
}

function KeywordSearchFieldFocus() {
	if ($("#kwd_search").val()==aJSLangDefs.Freetext_search )
		$("#kwd_search").val( "" );
}

